#include <stdio.h>
#include <stdlib.h>

int largest(int arr[], int n)
{
    int i;
    int max = arr[0];
    for(i = 1; i<n; i++)
    {
        if(arr[i] > max)
        {
            max = arr[i];
        }
    }
    return max;
}

int smallest(int arr[], int n)
{
    int i;
    int min = arr[0];
    for(i = 0; i<n; i++)
    {
        if(arr[i] < min)
        {
            min = arr[i];
        }
    }
    return min;
}

int main()
{
    int n; //Szomszedok szama!
    int x; //Milos hazanak a helyzete!
    int min, max;
    int end = 0;
    scanf("%d %d", &n, &x);
    int hazak[n];
    for(int i = 0; i<n; i++)
    {
        scanf("%d", &hazak[i]);
        //printf("%d\n",hazak[i]);
    }
    min = smallest(hazak,n);
    max = largest(hazak,n);
    if(min < x)
    {
        end += abs(min-x);
        x = min;
    }
    if(max > x)
    {
        end += abs(max-x);
    }
    printf("%d", end);
    return 0;
}